program bmptopng;

{$APPTYPE CONSOLE}

uses
  SysUtils,Graphics,GLDPNG;

var
  Bitmap:TBitmap;
  PNG:TGLDPNG;
  FileName1:string;
begin
  { 쌠\ }
  Writeln('bmptopng (c) 2003 Copyright Yoshikazu Takamura');
  Writeln('GLDPNG (c) 1998-2001 Copyright Tarquin All Rights Reserved.');
  Writeln('ZLIB ver 1.1.3 (c) 1995-1996 Copyright Jean-loup Gailly and Mark Adler');
  Writeln('');
  if (ParamCount=0) or (LowerCase(ParamStr(1))='--help') then
  begin
    Writeln('bmptopng t@C1 [t@C2]');
    Writeln('');
    Writeln('t@C1 : rbg}bvt@C̖O');
    Writeln('t@C2 : PNGt@C̖O(ȗ\)');
    Writeln('');
    Writeln('t@C1̃t@Crbg}bv`PNG`ɕϊăt@C2̃t@Cŕۑ');
    Writeln('t@C2ȗꍇ, t@C1̊gqO+.pngƂȂ');
    Writeln('');
  end
  else
  begin
    FileName1:=ParamStr(1);
    Bitmap:=TBitmap.Create;
    try
      try
        if FileExists(FileName1) then
        begin
          Bitmap.LoadFromFile(FileName1);
        end
        else
        begin
          Writeln(FileName1+'݂܂');
          Exit;
        end;
      except
        Writeln('t@Cǂݍ߂܂');
        Exit;
      end;
      PNG:=TGLDPNG.Create;
      try
        PNG.Image:=Bitmap;
        try
          if ParamCount=2 then
          begin
            PNG.SaveToFile(ParamStr(2));
          end
          else
          begin
            PNG.SaveToFile(ChangeFileExt(FileName1,'.png'));
          end;
        except
          Writeln('t@C߂܂');
          Exit;
        end;
      finally
        PNG.Free;
        Png:=nil;
      end;
    finally
      Bitmap.Free;
      Bitmap:=nil;
    end;
  end;
end.
